Skip to content
Back to Steward

Update an application

PATCH
/api/v1/applications/{id}
id
required
string
Media type application/json
object
labelIds

Label IDs to assign to the application

Array<string>
displayConfiguration

Display configuration for hiding fields and sections

object
hiddenFields
Array<string>
hiddenSections
Array<string>
unmappedResponseUpdates

Key-value pairs to update in unmappedResponses. Key format: stepId.valueId for regular fields, or fatcaCrs.fieldKey for FATCA fields.

object
key
additional properties
any
individualApplication
object
firstName
string
middleName
string
lastName
string
countryOfBirth

ISO 3166-1 alpha-2 country code

string format: iso-3166-1-alpha-2
nationality

ISO 3166-1 alpha-2 country code

string format: iso-3166-1-alpha-2
address
object
street
string
apartment
string
city
string
state
string
country
string
postalCode
string
phoneNumber
object
countryCode
required
string
phoneNumber
required
string
otherNationality

ISO 3166-1 alpha-2 country code

string format: iso-3166-1-alpha-2
email
string
amountToBeInvested
number
amountToBeInvestedCurrency
string
usCitizen
boolean
isPEP
boolean
employmentStatus
string
occupation
string
accountTurnover
string
annualFlow
string
estimatedNumberOfPayments
number
expectedFxRequirement
string
currenciesRequired
Array<string>
countriesSentTo
Array<string>
countriesReceivedFrom
Array<string>
paymentPurpose
string
fundingSource
string
dateOfBirth
string format: date-time
taxResidences
Array<object>
object
country
string
tin
string
tradingExperience
object
shares
string
derivatives
string
otcDerivatives
string
tradingMethod
string
hasOccupationalExperience
boolean
hasFormalQualification
boolean
businessApplication
object
name
string
registrationNumber
string
jurisdiction

ISO 3166-1 alpha-2 country code

string format: iso-3166-1-alpha-2
trustType
string
legalForm
string
purpose
string
businessActivity
string
industry
string
subIndustry
string
address
object
street
string
apartment
string
city
string
state
string
country
string
postalCode
string
registeredAddress
object
street
string
apartment
string
city
string
state
string
country
string
postalCode
string
tradingAddress
object
street
string
apartment
string
city
string
state
string
country
string
postalCode
string
phoneNumber
object
countryCode
required
string
phoneNumber
required
string
website
string
sicCode
string
vatNumber
string
taxId
string
referrer
string
referrerNote
string
companyTurnover
string
annualFlow
string
estimatedNumberOfPayments
number
expectedFxRequirement
string
currenciesRequired
Array<string>
countriesSentTo
Array<string>
countriesReceivedFrom
Array<string>
paymentPurpose
string
fundingSource
string
investmentAmount
number
investmentAmountCurrency
string
isAudited
boolean
isRegulated
boolean
nullable
hasPep
boolean
ownershipLayers
number
>= 1 <= 3
legalEntityType
string
regulatoryAuthority
string
nullable
regulatoryNumber
string
nullable
incorporationDate
string format: date-time
establishmentDate
string format: date-time
registrationDate
string format: date-time
tradingExperience
object
shares
string
derivatives
string
otcDerivatives
string
tradingMethod
string
hasOccupationalExperience
boolean
hasFormalQualification
boolean
metadata

Arbitrary key-value metadata. Up to 50 key-value pairs. Keys: 1-40 chars, letters/digits/hyphens/underscores only. Values: strings up to 500 chars. On update, send null as a value to delete a key; send {} to clear all metadata.

object
key
additional properties
string
nullable
Examples
{
"metadata": {
"externalRef": "abc-123"
}
}

Application updated successfully